1 (edited by francois50 2013-08-08 14:51:51)

Topic: Installation de 0.84+1.0 impossible

lors de l'installation de FI depuis 0.83+2.3 à 0.84+1.0 je reçoit le message suivant:

0.80+1.4 multiple alter in glpi_plugin_fusioninventory_agentmodules - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_plugin_fusioninventory_agentmodules` DROP `plugins_id` , DROP `entities_id` - L'erreur est Duplicate entry 'WAKEONLAN' for key 'unicity'


Que faire?

GLPI 0.84.8 / FusionInventory 0.84+3.5 / Agent 2.3.16 / serveur wamp 2.4 / MS serveur 2008 R2

Re: Installation de 0.84+1.0 impossible

Dans la table `glpi_plugin_fusioninventory_agentmodules`, tu dois avoir 2 lignes avec  'WAKEONLAN' au lieu d'une seule

Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com

Re: Installation de 0.84+1.0 impossible

maintenant j'ai l'erreur suivante:

0.80+1.4 multiple alter in glpi_plugin_fusioninventory_configs - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_plugin_fusioninventory_configs` DROP `plugins_id` - L'erreur est Duplicate entry 'ssl_only' for key 'unicity'

GLPI 0.84.8 / FusionInventory 0.84+3.5 / Agent 2.3.16 / serveur wamp 2.4 / MS serveur 2008 R2

Re: Installation de 0.84+1.0 impossible

pareil, tu dois avoir plusieurs lignes avec le même intitulé (on dirait que t'as installé plusieurs fois le plugin et ça a merdé hmm)

Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com

Re: Installation de 0.84+1.0 impossible

lors de l'installe il me signale la ligne en double suivante:

- ssl_only

Elles est bien en double mais laquel dois je effacer (plugin id 40 ou 51)

voici une image de ma table:

http://images3.photomania.com/4516599/1/radE7450.jpg

GLPI 0.84.8 / FusionInventory 0.84+3.5 / Agent 2.3.16 / serveur wamp 2.4 / MS serveur 2008 R2

Re: Installation de 0.84+1.0 impossible

Outch ça devient compliqué là sad

Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com

Re: Installation de 0.84+1.0 impossible

J'ai effacé les lignes à double et maintenant, je peux installer FI

GLPI 0.84.8 / FusionInventory 0.84+3.5 / Agent 2.3.16 / serveur wamp 2.4 / MS serveur 2008 R2

Re: Installation de 0.84+1.0 impossible

y avait du y avoir un soucis à un mopment donné lors d'une mise à jour je penses.

Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com

Re: Installation de 0.84+1.0 impossible

elated issues
Bug #783: Can't personalize display of array ports (in switch form / tab FusInv SNMP)
Bug #1380: Forgotten link for 'FusionInventory DEPLOY'
Bug #1381: [Deploy] Possibility to move packages definitions between entities.
Bug #1615: In update add code to clean snmp networkports have GLPI core networkport ref deleted
Bug #1892: Not define fusioninsventory rights for profil with simple interface
Bug #1895: When have 2 value of page counter, graph make an error and not display graph
Bug #1928: Return code checks must not be mandatory when creating a command
Bug #1931: Edit deployment file is not possible
Bug #1932: Too many package properties make interface quite unreadable
Bug #1933: Dynamic groups are not working
Bug #1934: Tasks definition and actions doesn't work at all
Bug #1941: file upload doesn't work in packages management
Bug #1942: Rename fusioninventory lock tab by 'field lock'